<template>
  <div class="pagination">
    <el-pagination background layout="prev, pager, next" :total="total" :page-size="size" @current-change="sizeChange"/>
  </div>
</template>
<script setup lang="ts">
const props = defineProps({
  total: {
    type: Number,
  },
  size:{
    type: Number,
  }
})

const emit = defineEmits(['size-change'])

const sizeChange = (size:number)=>{
  emit("size-change",size)
}

</script>
<style scoped lang="scss">
@import "@/assets/styles/common.scss";

.pagination {
  @include flexEnd();
}
</style>
